## com.bbn.openmap.dataAccess.asrp
Class GeneralInformationFile

    java.lang.Object
      com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
          com.bbn.openmap.dataAccess.asrp.GeneralInformationFile

public class GeneralInformationFile
extends GeneralASRPFile

Field Summary
`static java.lang.String` `BAND_ID`
`static java.lang.String` `DATA_SET_ID`
`static java.lang.String` `DATA_SET_PARAMETERS`
`static java.lang.String` `DATASET_DESCRIPTION`
`static java.lang.String` `GENERAL_INFORMATION`
`static java.lang.String` `RECORD_ID`
`protected java.awt.Dimension` `subframeDimensions`
`static java.lang.String` `TILE_INDEX_MAP`

Fields inherited from class com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
`fields, info`

Constructor Summary
`GeneralInformationFile(java.lang.String fileName)`

Method Summary
`static void` `main(java.lang.String[] argv)`

Methods inherited from class com.bbn.openmap.dataAccess.asrp.GeneralASRPFile
`addField, close, dump, dumpFields, getField, getFields, getInfo, load, loadField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RECORD_ID

    public static final java.lang.String RECORD_ID

See Also:
  Constant Field Values

### DATA_SET_ID

    public static final java.lang.String DATA_SET_ID

See Also:
  Constant Field Values

### GENERAL_INFORMATION

    public static final java.lang.String GENERAL_INFORMATION

See Also:
  Constant Field Values

### DATA_SET_PARAMETERS

    public static final java.lang.String DATA_SET_PARAMETERS

See Also:
  Constant Field Values

### BAND_ID

    public static final java.lang.String BAND_ID

See Also:
  Constant Field Values

### TILE_INDEX_MAP

    public static final java.lang.String TILE_INDEX_MAP

See Also:
  Constant Field Values

### DATASET_DESCRIPTION

    public static final java.lang.String DATASET_DESCRIPTION

See Also:
  Constant Field Values

### subframeDimensions

    protected java.awt.Dimension subframeDimensions

Constructor Detail

### GeneralInformationFile

    public GeneralInformationFile(java.lang.String fileName)
                           throws java.io.IOException

Method Detail

### main

    public static void main(java.lang.String[] argv)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details